Subject: Re: [EXTERNAL] Re: [RFC PATCH v6 2/2] net: ti: icssg-prueth: Add ICSSG ethernet driver

From: Simon Horman <[email-masked]>
Date: Fri, 28 Apr 2023 15:47:52 +0200

On Fri, Apr 28, 2023 at 02:36:42PM +0530, Md Danish Anwar wrote:
> Hi Simon.
> 
> On 27/04/23 12:42, Md Danish Anwar wrote:
> > Hi Simon,
> > Thanks for the comments.
> > 
> > On 27/04/23 00:39, Simon Horman wrote:
> >> On Mon, Apr 24, 2023 at 11:02:33AM +0530, MD Danish Anwar wrote:
> >>> From: Roger Quadros <[email-masked]>
> >>>
> >>> This is the Ethernet driver for TI AM654 Silicon rev. 2
> >>> with the ICSSG PRU Sub-system running dual-EMAC firmware.
> >>>
> 
> [ ... ]
> 
> >>
> >> ...
> >>
> >>> +MODULE_AUTHOR("Roger Quadros <[email-masked]>");
> >>> +MODULE_AUTHOR("Puranjay Mohan <[email-masked]>");
> >>> +MODULE_AUTHOR("Md Danish Anwar <[email-masked]>");
> >>> +MODULE_DESCRIPTION("PRUSS ICSSG Ethernet Driver");
> >>> +MODULE_LICENSE("GPL");
> >>
> >> SPDK says GPL-2.0, so perhaps this should be "GPL v2" ?
> >>
> 
> I am getting checkpatch warning while changing GPL version.
> 
> WARNING: Prefer "GPL" over "GPL v2" - see commit bf7fbeeae6db ("module: Cure
> the MODULE_LICENSE "GPL" vs. "GPL v2" bogosity")
> #3602: FILE: drivers/net/ethernet/ti/icssg_prueth.c:1866:
> +MODULE_LICENSE("GPL v2");
> 
> Should I ignore this warning and change it to "GPL v2"

I guess that "GPL" is correct after all.
Sorry for the noise.